local anim8 = require 'anim8'
local player

function love.load()
  local walk = love.graphics.newImage("image/player/male_walkcycle.png")
  local g = anim8.newGrid(64, 64, walk:getWidth(), walk:getHeight())

  player = {
    walk = walk,
    x = 200,
    y = 200,
    speed = 50,
    animations = {
      up     = anim8.newAnimation(g('2-8',1), 0.1),
      left   = anim8.newAnimation(g('2-8',2), 0.1),
      down   = anim8.newAnimation(g('2-8',3), 0.1),
      right  = anim8.newAnimation(g('2-8',4), 0.1)
    }
  }
  player.animation = player.animations.down
end

function love.update(dt)
  player.animation:update(dt)
  -- Right
  if love.keyboard.isDown("d") then
    player.x = player.x + player.speed * dt
    player.animation = player.animations.right
  end
  -- Left
  if love.keyboard.isDown("a") then
    player.x = player.x - player.speed * dt
    player.animation = player.animations.left
  end
  -- Up
  if love.keyboard.isDown("w") then
    player.y = player.y - player.speed * dt
    player.animation = player.animations.up
  end
  -- Down
  if love.keyboard.isDown("s") then
    player.y = player.y + player.speed * dt
    player.animation = player.animations.down
  end
end

function love.draw()
  player.animation:draw(player.walk, player.x, player.y)
end
